# Generated by Django 2.2.6 on 2019-11-16 16:43

from django.db import migrations, models
import django.db.models.deletion
import parler.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('subjects', '0001_initial'),
        ('recruitment', '0001_initial'),
        ('studies', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='subjectfiltergroup',
            name='study',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='studies.Study'),
        ),
        migrations.AddField(
            model_name='subjectfilter',
            name='description',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruitment.AttributeDescription'),
        ),
        migrations.AddField(
            model_name='subjectfilter',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruitment.SubjectFilterGroup'),
        ),
        migrations.AddField(
            model_name='participationrequestrevision',
            name='current',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='revisions', to='recruitment.ParticipationRequest'),
        ),
        migrations.AddField(
            model_name='participationrequest',
            name='study',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='studies.Study', verbose_name='Study'),
        ),
        migrations.AddField(
            model_name='participationrequest',
            name='subject',
            field=models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='subjects.Subject'),
        ),
        migrations.AddField(
            model_name='mailbatch',
            name='study',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='studies.Study', verbose_name='Study'),
        ),
        migrations.AddField(
            model_name='attributeset',
            name='subject',
            field=models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='subjects.Subject'),
        ),
        migrations.AddField(
            model_name='attributedescriptiontranslation',
            name='master',
            field=parler.fields.TranslationsForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='recruitment.AttributeDescription'),
        ),
        migrations.AddField(
            model_name='attributedescription',
            name='category',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='recruitment.AttributeCategory'),
        ),
        migrations.AddField(
            model_name='attributechoicetranslation',
            name='master',
            field=parler.fields.TranslationsForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='recruitment.AttributeChoice'),
        ),
        migrations.AddField(
            model_name='attributechoice',
            name='description',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruitment.AttributeDescription'),
        ),
        migrations.AddField(
            model_name='attributecategorytranslation',
            name='master',
            field=parler.fields.TranslationsForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='recruitment.AttributeCategory'),
        ),
        migrations.AlterUniqueTogether(
            name='participationrequest',
            unique_together={('study', 'subject')},
        ),
        migrations.AlterUniqueTogether(
            name='attributedescriptiontranslation',
            unique_together={('language_code', 'master')},
        ),
        migrations.AlterUniqueTogether(
            name='attributechoicetranslation',
            unique_together={('language_code', 'master')},
        ),
        migrations.AlterUniqueTogether(
            name='attributecategorytranslation',
            unique_together={('language_code', 'master')},
        ),
    ]
